Skip to main content
GET
/
cleemy-procurement
/
services
/
inbox
List Inbox Documents
curl --request GET \
  --url https://{host}/cleemy-procurement/services/inbox \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": 123,
      "document": {
        "id": 123,
        "owner": {
          "id": 123,
          "href": "<string>",
          "name": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "pictureHref": "<string>"
        },
        "type": "Invoice",
        "context": {
          "purchase": {
            "id": 123,
            "href": "<string>",
            "name": "<string>",
            "type": "Subscription"
          }
        },
        "documentBreakdown": {
          "id": 2,
          "href": "<string>",
          "name": "<string>"
        },
        "documentDate": "2023-12-25",
        "documentNumber": "<string>",
        "amountIncludingTaxes": {
          "excludingTaxes": {
            "value": 123,
            "currency": "Invalid"
          },
          "taxes": [
            {
              "rateTypeId": 123,
              "value": 123,
              "currency": "Invalid"
            }
          ],
          "includingTaxes": {
            "value": 123,
            "currency": "Invalid"
          }
        },
        "accountingLabel": "<string>",
        "comment": "<string>",
        "intraCommunityTaxes": true,
        "attachments": [
          {
            "id": 123,
            "file": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "href": "<string>",
              "name": "<string>",
              "displayHref": "<string>"
            },
            "createdAt": "2023-11-07T05:31:56Z",
            "pages": {
              "displayHrefTemplate": "<string>",
              "count": 123
            }
          }
        ],
        "ocrStatus": "Pending",
        "dueDate": "2023-12-25",
        "paymentDetails": {
          "paymentMethod": "BankTransfer",
          "bankAccount": {
            "iban": "<string>",
            "bic": "<string>"
          }
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "author": {
          "id": 123,
          "href": "<string>",
          "name": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "pictureHref": "<string>"
        },
        "modifier": {
          "id": 123,
          "href": "<string>",
          "name": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "pictureHref": "<string>"
        }
      },
      "source": {
        "type": "<string>"
      },
      "action": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z",
      "author": {
        "id": 123,
        "href": "<string>",
        "name": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "pictureHref": "<string>"
      },
      "modifier": {
        "id": 123,
        "href": "<string>",
        "name": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "pictureHref": "<string>"
      }
    }
  ],
  "prev": "<string>",
  "next": "<string>",
  "count": 1
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

ocrStatus
enum<string>[]

Filter on OCR status.

Available options:
None,
Pending,
Completed,
Failed,
Applied
authorIds
integer<int32>[]

Filter on author user IDs.

purchaseIds
integer<int32>[]

Filter on purchase IDs.

disputeIds
integer<int32>[]

Filter on dispute IDs.

operations
enum<string>[]

Filter on user operations (roles).

Available options:
Buyer,
PurchasingManager,
Accountant,
Admin,
Payer,
PurchaseReader,
InvoicingManager
establishment.ids
integer<int32>[]

Filter on establishment IDs.

establishment.includeNull
boolean

Include documents with no establishment.

sort
null | string

Sort order. Prefix with - for descending. Comma-separated for multiple properties.

fields.root
enum<string>[]

Include root collection fields (paging).

Available options:
prev,
next,
count
page

Page selection. Page tokens can be retrieved by adding ?fields.root=next,prev on your GET collections requests.

limit
integer

Page size (max 100).

Required range: 0 <= x <= 100

Response

200 - application/json

OK

items
inbox-document · object[]
required
prev
next
count
integer<int32>
Required range: x >= 0